package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.CardConfigVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 17:43 2019/3/7
 * @Modified By
 */
@FeignClient(name = "course", contextId = "CardConfigClient")
public interface CardConfigClient {

    /**
     * 新增或者修改名片配置信息
     * @param vo
     * @return
     */
    @PostMapping(value = "/cardConfig/saveOrUpdate")
    CardConfigVO addConfig(@RequestBody CardConfigVO vo);

    /**
     * 获取站点的名片配置信息
     * @param siteId
     * @return
     */
    @GetMapping(value = "/cardConfig/get")
    CardConfigVO getBySiteId(@RequestParam("siteId") Long siteId);

    /**
     * 初始化名片配置
     * @return
     */
    @GetMapping(value = "/cardConfig/init")
    boolean initConfig(@RequestParam("siteId") Long siteId);
}
