package com.yizhi.course.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.vo.ApiCommnentVo;
import com.yizhi.course.application.vo.CourseCommentVo;
import com.yizhi.course.application.vo.PageCommentVo;
import com.yizhi.course.application.vo.ThumbsUpVO;
import com.yizhi.course.application.vo.domain.CommentEntityVo;
import com.yizhi.course.application.vo.domain.ReplyEntityVo;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

@FeignClient(name = "course", contextId = "CommClient")
public interface CommClient {

	@GetMapping("/comm/list")
    PageCommentVo list(@RequestParam("courseId") Long courseId,
                       @RequestParam(name = "commentator", required = false) String commentator,
                       @RequestParam(name = "status", required = false) Integer status, @RequestParam("pageNo") Integer pageNo,
                       @RequestParam("pageSize") Integer pageSize);

	@GetMapping("/comm/reply/list")
	Page<ReplyEntityVo> replyList(@RequestParam("commmentId") Long commmentId, @RequestParam("pageNo") Integer pageNo,
                                  @RequestParam("pageSize") Integer pageSize);

	@PostMapping("/thumbsUp/save")
	Boolean saveThumbsUp(@RequestBody ThumbsUpVO thumbsUp);

	@PostMapping("/thumbsUp/delete")
	Boolean deleteThumbsUp(@RequestBody ThumbsUpVO thumbsUp);

	@GetMapping("/comm/api/list")
	Page<ApiCommnentVo> apiList(@RequestParam(name = "courseId") Long courseId,
                                @RequestParam(name = "accountId") Long accountId, @RequestParam(name = "pageNo") Integer pageNo,
                                @RequestParam(name = "pageSize") Integer pageSize);

	@GetMapping("/comm/get")
    CommentEntityVo get(@RequestParam("id") Long id);

	@PostMapping("/comm/pc/list")
	PageCommentVo pcList(@RequestBody CourseCommentVo commentVo);

	@GetMapping("/comm/up")
	public Boolean up(@RequestParam("id") Long id,@RequestParam("type") Integer type);
	
	@GetMapping("/comm/down")
	public Boolean down(@RequestParam("id") Long id,@RequestParam("type") Integer type);
	
	@GetMapping("/comm/list/export")
	public Map<String, Object> export(
			@ApiParam(name = "courseId", value = "课程id") @RequestParam(name = "courseId") Long courseId,
			@ApiParam(name = "courseName", value = "课程名称") @RequestParam(name = "courseName") String courseName,
			@RequestParam(name = "commentator", required = false) String commentator,
			@RequestParam(name = "status", required = false) Integer status);
	
	@GetMapping("/comm/reply/list2")
	public Page<ReplyEntityVo> replyList2(@RequestParam("commmentId") Long commmentId, @RequestParam("pageNo") Integer pageNo,
			@RequestParam("pageSize") Integer pageSize);
	
	@GetMapping("/comm/getCount")
	public List<Integer> countComm(@RequestParam("courseIds") List<Long> courseIds);
	
	
	/**
	 * 交银康联中调用的老接口
	 * @param courseId
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	@Deprecated
	@GetMapping("/comm/listjykl")
    PageCommentVo list(@RequestParam("courseId") Long courseId, @RequestParam("pageNo") Integer pageNo, @RequestParam("pageSize") Integer pageSize);
}
