package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.CourseGradeVO;
import com.yizhi.course.application.vo.ThumbsUpVO;
import com.yizhi.course.application.vo.domain.CommentEntityVo;
import com.yizhi.course.application.vo.domain.ReplyEntityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 评论
 * @author Fairyland
 *
 */
@FeignClient(name = "course", contextId = "CommentClient")
public interface CommentClient {

	  /**
	 *  根据评论id审核该评论，审核确定后 改变审核状态 评论会从列表消失 连评论下的回复一起消失
	 * comment 评论对象
	 * @return
	 */

	@PostMapping("/comment/auditComment")
	String   auditComment(@RequestBody CommentEntityVo comment);
	
       
 	  /**
   	 *  根据回复评论id审核该评论，审核确定后 改变审核状态 评论会从列表消失 连评论下的回复一起消失
   	 * reply 评论对象
   	 * @return
   	 */

	@PostMapping("/comment/auditreply")
     String   auditreply(@RequestBody ReplyEntityVo reply);
	
	
	/**
	 * 新增评论feign接口（保存）
	 * @param comment
	 * @return
	 */
	@PostMapping("/comment/save")
	CommentEntityVo  saveComment(@RequestBody CommentEntityVo comment);
	
	
	/**
	 * 新增评论feign接口（保存）
	 * @return
	 */
	@PostMapping("/reply/save")
	Boolean  saveReply(@RequestBody ReplyEntityVo reply);
	
	
    @PostMapping("/thumbsUp/save")
    Boolean saveThumbsUp(@RequestBody ThumbsUpVO thumbsUp);

	 /**
	 * 新增删除点赞feign接口（保存）
	 * @return
	 */
	 @PostMapping("/thumbsUp/delete")
	 Boolean deleteThumbsUp(@RequestBody ThumbsUpVO thumbsUp);


	 @PostMapping("/grade/save")
	 Boolean saveGrade(@RequestBody CourseGradeVO grade);
	
}
