package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.BathEditCourseVo;
import com.yizhi.course.application.vo.CourseShelvesVo;
import com.yizhi.course.application.vo.domain.CourseEntityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

@FeignClient(name = "course", contextId = "CourseBathEditClient")
public interface CourseBathEditClient {

    /**
     * 课程批量上下架检查
     * @param vo 请求参数
     * @return
     */
    @PostMapping("/bath/edit/shelves/check")
    List<Map<String,Object>> courseShelvesCheck(@RequestBody CourseShelvesVo vo);
    /**
     * 课程分类批量修改
     * @param vo
     * @return
     */
    @PostMapping("/bath/edit/classify")
    Boolean courseClassifyEdit(@RequestBody BathEditCourseVo vo);

    /**
     * 课程批量上下架操作
     * @param vo
     * @return
     */
    @PostMapping("/bath/edit/shelves")
    Boolean courseShelvesEdit(@RequestBody BathEditCourseVo vo);

    /**
     * 检查哪些课程是上架状态
     * @param ids
     * @return
     */
    @PostMapping("/bath/edit/strategy/check")
    List<CourseEntityVo> courseStrategyCheck(@RequestBody List<Long> ids);

    /**
     * 对指定的未上架课程进行批量策略修改
     * @param vo
     * @return
     */
    @PostMapping("/bath/edit/strategy")
    Boolean courseStrategyEdit(@RequestBody BathEditCourseVo vo);
}
