package com.yizhi.course.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.vo.CourseStudyHourVO;
import com.yizhi.course.application.vo.MyDurationVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 11:22 2019/5/14
 * @Modified By
 */
@FeignClient(name = "course", contextId = "CourseStudyHourClient")
public interface CourseStudyHourClient {

    /**
     * 学时统计
     * @param siteId
     * @param accountId
     * @param courseId
     * @return
     */
    @GetMapping("/courseStudyHour/hour/statistics")
    Float hourStatistics(@RequestParam("siteId") Long siteId,
                                @RequestParam(value = "accountId",required = false) Long accountId,
                                @RequestParam(value = "courseId" ,required = false) Long courseId);

    /**
     * 发放学时
     * @param entiy
     * @return
     */
    @PostMapping("/courseStudyHour/add")
    Boolean add(@RequestBody CourseStudyHourVO entiy);

    /**
     分页查询用户学时记录
     * @param accountId
     * @param siteId
     * @param pageNo
     * @param pageSize
     * @return
     */

    @GetMapping("/courseStudyHour/query/duration/ByAccountId")
    public Page<MyDurationVO> queryDurationByAccountId(@RequestParam("accountId")Long accountId,
                                                       @RequestParam("siteId")Long siteId,
                                                       @RequestParam(value = "pageNo")Integer pageNo,
                                                       @RequestParam("pageSize")Integer pageSize);
}
