package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.CourseGradeVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "course", contextId = "GradeClient")
public interface GradeClient {

    @PostMapping("/grade/pc/save")
    Integer savePcGrade(@RequestBody CourseGradeVO grade);
    /**
     *
     * 对用户能否评分进行判断，已对课程进行评分的用户只能进行评论；
     * @return
     */
    @GetMapping("/grade/pc/judgeWhetherSaveGrade")
    public Boolean judgeWhetherSaveGrade(@RequestParam(name="courseId")Long courseId);
}
