package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.LastViewRecordVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 16:05 2019/6/18
 * @Modified By
 */
@FeignClient(name = "course", contextId = "LastViewRecordClient")
public interface LastViewRecordClient {

    @PostMapping("/api/lastViewRecord/save")
    Boolean save(@RequestBody LastViewRecordVO vo);

    @GetMapping("/api/lastViewRecord/get")
    LastViewRecordVO get(@RequestParam("siteId") Long siteId,
                                            @RequestParam("accountId") Long accountId,
                                            @RequestParam("courseId") Long courseId,
                                            @RequestParam(value = "chapterId",required = false) Long chapterId);
}
