package com.yizhi.course.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 20:39 2019/1/10
 * @Modified By
 */
@FeignClient(name = "course", contextId = "MarketingCourseExportClient")
public interface MarketingCourseExportClient {

    /**
     * 按转发阅读的组织导出
     * @param parament
     * @return
     */
    @PostMapping({"/marketing/course/export/forword/org"})
    public Boolean marketingCourseGroupExport(@RequestBody Map<String, Object> parament);

    /**
     * 按转发的用户导出（明细）
     * @param parament
     * @return
     */
    @PostMapping({"/marketing/course/export/forword/account"})
    public Boolean marketingCourseAccountGroupExport(@RequestBody Map<String, Object> parament);


    /**
     * 营销课程访问数据下载结果
     * @param courseId
     * @return
     */
    @GetMapping("/marketing/course/export/course/group/view/list/export")
    String marketingCourseViewListExport(
            @RequestParam(name = "courseId") Long courseId,
            @RequestParam(name = "siteId") Long siteId,
            @RequestParam(name = "accountId") Long accountId,
            @RequestParam(name = "companyId") Long companyId);
}
