package com.yizhi.course.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.vo.OfflineRecordeVO;
import com.yizhi.course.application.vo.ReportOfflineCourseDataStatisticsVo;
import com.yizhi.course.application.vo.ReportOfflineCourseStatisticsDetailVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/10/22 16:13
 */
@FeignClient(name = "course", contextId = "OfflineCourseReportClient")
public interface OfflineCourseReportClient {

    @GetMapping("/manage/offlineCourseReport/data/statistics")
    List<ReportOfflineCourseDataStatisticsVo> dataStatistics(@RequestParam("startTime") Long startTime,
                                                             @RequestParam("endTime") Long endTime);

    /**
     * 数据统计
     *
     * @param name
     * @param startTime
     * @param endTime
     * @param pageSize
     * @param pageNo
     * @return
     */
    @GetMapping("/manage/offlineCourseReport/statistics/detail")
    Page<ReportOfflineCourseStatisticsDetailVo> statisticsDetail(@RequestParam(name = "name") String name,
                                                                 @RequestParam(name = "startTime") Long startTime, @RequestParam(name = "endTime") Long endTime,
                                                                 @RequestParam(name = "pageSize") Integer pageSize, @RequestParam("pageNo") Integer pageNo);
    /**
     * 查询报表记录详情  根据课程id
     *
     * @param offlineCourseId
     * @return
     */
    @GetMapping("/manage/offlineCourseReport/queryDetail/list")
    public Page<OfflineRecordeVO> queryDetailList(@RequestParam(name = "offlineCourseId") Long offlineCourseId,
                                                  @RequestParam(name = "pageNo") Integer pageNo,
                                                  @RequestParam(name = "pageSize") Integer pageSize);
}
