package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.*;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 11:41 2018/10/25
 * @Modified By
 */
@FeignClient(name = "course", contextId = "TestCaseClient")
public interface TestCaseClient {

    @GetMapping("/testCase/idGenerator/id")
    Long idGeneratorId();

    /**
     * 测验总结性测验总提交
     * @param vo
     * @return
     */
    @PostMapping("/testCase/submit")
    public TestCaseSubmitVO testSubmit(@RequestBody TestCaseVO vo);

    /**
     * 过程测验单次提交
     * @param vo
     * @return
     */
    @PostMapping("/testCase/simple/submit")
    public TestCaseSimpleSubmitVO testCaseSimpleSubmit(@RequestBody TestCaseSimpleSubmitVO vo);


    /**
     * 根据测验答卷id查询答题记录信息
     * @param testCaseId
     * @return
     */
    @GetMapping("/testCase/record/get")
    public TestCaseRecordVO getRecordInfo(@RequestParam("testCaseId") Long testCaseId);

    /**
     * 判断该课程是否被该用户测验通过
     * @param courseId
     * @param accountId
     * @return
     */
    @GetMapping("/testCase/course/pass")
    public Boolean courseIsSucceed(@RequestParam("courseId") Long courseId, @RequestParam("accountId") Long accountId);

    /**
     * 判断
     * @param vo
     * @return
     */
    @PostMapping("/testCase/chapters/pass")
    public Boolean chaptersIsSucceed(@RequestBody ChaptersPassReqVO vo);
}
