/**
 * FileName: ApiClassifyVo
 * Author:   wenjunlong
 * Date:     2018/4/17 14:01
 * Description: 课程分类app端数据展示
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 〈一句话功能简述〉<br> 
 * 〈课程分类app端数据展示〉
 *
 * @author wenjunlong
 * @create 2018/4/17
 * @since 1.0.0
 */
@Data
public class ApiClassifyVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "父id ")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "层级")
    private Integer layer;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类编码")
    private String code;

    @ApiModelProperty(value = "备注")
    private String description;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @TableField("org_id")
    private Long orgId;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "顶层节点id")
    @TableField("root_id")
    private Long rootId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "分类路径")
    @TableField("path")
    private String path;

    @ApiModelProperty(value = "来源 1内部定制2 外部定制3外部采购 4课程营销")
    @TableField("source")
    private Integer source;
    
    @ApiModelProperty(value = "上一个主键ID")
    private Long moveUpId = -1L;
    
    @ApiModelProperty(value = "下一个主键ID")
    private Long moveDownId = -1L;

    private List<ApiClassifyVo> children = new ArrayList<ApiClassifyVo>();


}
