package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.CourseEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AuthrizeCourseVO extends CourseEntityVo {

    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程code")
    private String code;

    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "作者单位")
    private String authorUnit;

    @ApiModelProperty(value = "课程介绍")
    private String description;

    private String tags;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    @ApiModelProperty(value = "0 未上架 1 已上架")
    private Integer shelves;

    private Long companyId;

    private Long orgId;

    private Long siteId;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "可见范围 0 游客 1 平台用户 2 指定范围")
    private Integer scope;

    @ApiModelProperty(value = "评论设置0上架评论及评分1关闭评论")
    private Integer commentEnable;

    @ApiModelProperty(value = "下载设置0允许用户在APP端下载课件1禁止下载")
    private Integer downEnable;

    @ApiModelProperty(value = "播放设置 0允许用户未完成观看前拖动进度条1禁止拖动")
    private Integer fastForwardEnable;

    @ApiModelProperty(value = "章节播放设置0自动播放下一段1手动播放下一段")
    private Integer autoEnable;

    @ApiModelProperty(value = "跳播设置：0允许1不允许")
    private Integer jumpEnable;

    @ApiModelProperty(value = "评分设置 0 允许 1 不允许")
    private Integer gradeEnable;

    @ApiModelProperty(value = "音频完成条件 0 播放即完成 1听完整个课程")
    private Integer audioComplete;

    @ApiModelProperty(value = "视频完成条件 0 播放即完成 1听完整个课程")
    private Integer videoComplete;

    @ApiModelProperty(value = "文档完成条件 0 观看即完成 1停留时长达到学习时长即完成")
    private Integer docComplete;

    @ApiModelProperty(value = "多媒体完成条件 0 观看即完成 1停留时长达到学习时长即完成")
    private Integer richComplete;

    @ApiModelProperty(value = "来源 1内部定制2 外部定制3外部采购 4课程营销")
    private Integer source;

    @ApiModelProperty(value = "0:默认未删除；1表示删除")
    private Integer delFlg;

    @ApiModelProperty(value = "被浏览次数")
    private Long readCount;

    @ApiModelProperty(value = "积分规则  1按课程  2 按章节 3 按素材")
    private Integer portRule;

    @ApiModelProperty(value = "课程分类名称")
    private String classifyName;

    @ApiModelProperty(value = "0.过期,1.有效")
    private Integer valid;

    @ApiModelProperty(value = "过期时间")
    private Date expireDate;


}
