package com.yizhi.course.application.vo;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Api(
        tags = {"CourseVo"},
        description = "课程接对象"
)
@Data
public class CourseVo {

    @ApiModelProperty(value = "课程主键id")
    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程code")
    private String code;

    @ApiModelProperty(value = "0 未上架 1 已上架 2 草稿")
    private Integer shelves;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;



    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "作者单位")
    private String authorUnit;

    @ApiModelProperty(value = "课程介绍")
    private String description;

    @ApiModelProperty(value = "课程类型 : 0 一般课程  1 Scorm课程")
    private Integer courseType;

    private String tags;

    @ApiModelProperty(value = "可见范围 0 游客 1 平台用户 2 指定范围")
    private Integer scope;

    @ApiModelProperty(value = "评论设置0上架评论及评分1关闭评论")
    private Integer commentEnable;

    @ApiModelProperty(value = "下载设置0允许用户在APP端下载课件1禁止下载")
    private Integer downEnable;

    @ApiModelProperty(value = "播放设置 0允许用户未完成观看前拖动进度条1禁止拖动")
    private Integer fastForwardEnable;

    @ApiModelProperty(value = "章节播放设置0自动播放下一段1手动播放下一段")
    private Integer autoEnable;

    @ApiModelProperty(value = "跳播设置：0允许1不允许")
    private Integer jumpEnable;

    @ApiModelProperty(value = "评分设置 0 允许 1 不允许")
    private Integer gradeEnable;

    @ApiModelProperty(value = "音频完成条件 0 播放即完成 1听完整个课程")
    private Integer audioComplete;

    @ApiModelProperty(value = "视频完成条件 0 播放即完成 1听完整个课程")
    private Integer videoComplete;

    @ApiModelProperty(value = "文档完成条件 0 观看即完成 1停留时长达到学习时长即完成")
    private Integer docComplete;

    @ApiModelProperty(value = "多媒体完成条件 0 观看即完成 1停留时长达到学习时长即完成")
    private Integer richComplete;

    @ApiModelProperty(value = "积分规则  1按课程  2 按章节 3 按素材")
    private Integer portRule;

    @ApiModelProperty(value = "来源 1内部定制2 外部定制3外部采购 4课程营销")
    private Integer source;

    private Long companyId;

    private Long orgId;

    private Long siteId;


    @ApiModelProperty(value = "分类name字符串 以,分割")
    private String classifyName;

    private Long createById;

    private String createByName;

    @ApiModelProperty("创建时间，列表的时候用")
    private String createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    @ApiModelProperty(value = "0.过期,1.有效")
    private Integer valid;

    @ApiModelProperty(value = "名片是否显示 0(false):不显示 ；1(true):显示")
    private Boolean cardShow;

    @ApiModelProperty(value = "分享标题")
    private String shareTitle;

    @ApiModelProperty(value = "分享描述")
    private String shareDesc;

    @ApiModelProperty(value = "课程学时")
    private Float totalDuration;

    @ApiModelProperty(value = "课程学时是否发放: true表示发放，false表示不发放")
    private Boolean totalDurationGrant;

    @ApiModelProperty(value = "课程学时是否显示:true:显示 ； flase:不显示")
    private Boolean totalDurationShow ;

    @ApiModelProperty(value = "选择发布终端:0 所有终端;1 仅发布到pc端;2 仅发布到移动端")
    private Integer publishingTerminal;

    @ApiModelProperty(value = "视频跑马灯是否启动，true表示启动")
    private Boolean videoHorseLamp;

    @ApiModelProperty(value = "视频播放模式：0 横屏；1竖屏")
    private Integer videoPlayModel;

    @ApiModelProperty(value = "是否启用在日历任务中显示")
    private Integer enableTask;

    @ApiModelProperty(value = "日历任务设置的开始时间")
    private Date taskStartDate;

    @ApiModelProperty(value = "日历任务设置的结束时间")
    private Date taskEndDate;

    @ApiModelProperty(value = "是否发放证书： true 配置开启证书，false 不开启证书")
    private Boolean grantCertificate;

    @ApiModelProperty(value = "证书列表")
    private List<CourseCertificateVo> certificates;

    private String certificateStr;

    @ApiModelProperty(value = "视频速率 0 为关闭，大于0为速率开启")
    private Integer videoRate;

}
