package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author: XieHaijun
 * @Description: 营销课程对象vo
 * @Date: Created in 10:55 2018/4/8
 * @Modified By
 */
@ApiModel(
        value = "MarketingCourseVo",
        description = "营销课程对象"
)
@Data
public class MarketingCourseVo {

    @ApiModelProperty(value = "课程主键id")
    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程编码")
    private String code;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "制作单位")
    private String authorUnit;

    @ApiModelProperty(value = "自定义关键词多个使用,号隔开")
    private String tags;

    @ApiModelProperty(value = "可见范围 0 游客 1 平台用户 2 指定范围")
    private Integer scope;

    @ApiModelProperty(value = "查阅分享的记录id")
    private Long browseRecordsId;

    @ApiModelProperty(value = "用户名片")
    private Long userCard;

    @ApiModelProperty(value = "被浏览次数")
    private Long readCount;

    @ApiModelProperty(value = "0 未上架 1 已上架 2 草稿")
    private Integer shelves;

    @ApiModelProperty(value = "用户信息")
    private AccountVO accountInfo;

    @ApiModelProperty(value = "课程介绍")
    private String description;

    @ApiModelProperty(value = "名片是否显示 0(false):不显示 ；1(true):显示")
    private Boolean cardShow;

    @ApiModelProperty(value = "分享标题")
    private String shareTitle;

    @ApiModelProperty(value = "分享描述")
    private String shareDesc;

    @ApiModelProperty(value = "名片信息")
    private CardInfoVO cardInfo;

    @ApiModelProperty(value = "指定范围时，指定的用户ID")
    private List<CourseAccountVO> accountIds;

    @ApiModelProperty(value = "添加素材信息")
    private List<ChapterVo> Chapters;

    @ApiModelProperty(value = "素材列表详细信息（详情查看）")
    private Map<String,MaterialVo> materialListInfo;

    @ApiModelProperty(value = "营销课程的课程类型 【分类3种类型：多素材课程=0（默认）、章节课程=1、直播=2】")
    private Integer marketingCourseType;

    @ApiModelProperty(value = "手机号授权设置 【启用授权 true默认启用授权、关闭授权:false 】")
    private Boolean telAuthorize;

    @ApiModelProperty(value = "直播简介")
    private String liveDescription;

    @ApiModelProperty(value = "营销课程章节类型的课程图片")
    private String marketingCourseImage;

}
