package com.yizhi.course.application.vo;


import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Api(
        tags = {"MaterialVo"},
        description = "素材库Vo对象"
)
@Data
public class MaterialVo {

    @ApiModelProperty("素材主键id，执行修改方法时才传入")
    private String id;
    @ApiModelProperty("素材编码")
    private String code;
    @ApiModelProperty("素材名称")
    private String name;
    @ApiModelProperty("1音频 2 视频 3 文本 4 富媒体 5 Scrom 6考试")
    private Integer type;
    @ApiModelProperty("1 外部采购 2 外部定制 3 内部定制 4 做课")
    private Integer source;
    @ApiModelProperty("制作人")
    private String producer;
    @ApiModelProperty("标签")
    private String tags;
    @ApiModelProperty("完成时间单位：小时")
    private Integer textHour;
    @ApiModelProperty("完成时间单位：分")
    private Integer textMinute;
    @ApiModelProperty("完成时间单位：秒")
    private Integer textSecond;
    @ApiModelProperty("上传文件音视频文档等等的源文件url")
    private String originalFileUrl;
    @ApiModelProperty("上传文件音视频文档等等的源文件名，带后缀")
    private String originalFile;
    @ApiModelProperty(value = "上传源文件大小")
    private String size;
    @ApiModelProperty(value = "考试关联id")
    private Long examId;
    @ApiModelProperty(value = "考试名称")
    private String examName;

    /**
     * 富文本使用
     */
    @ApiModelProperty("富文本内容")
    private String content;
    @ApiModelProperty("富文本标题")
    private String title;
    @ApiModelProperty("作者")
    private String author;

    /**
     *音视频使用
     */
    @ApiModelProperty("封面图片")
    private String image;
    @ApiModelProperty("音频解释")
    private String explanation;
    @ApiModelProperty("流程视频地址")
    private String fdUrl;
    @ApiModelProperty("标清视频地址")
    private String ldUrl;
    @ApiModelProperty("高清程视频地址")
    private String sdUrl;
    @ApiModelProperty("保利威视vid")
    private String polyVid;

    @ApiModelProperty(value = "是否显示水印 0否 1是 默认否")
    @TableField("display_mark")
    private Integer displayMark;
    
    @ApiModelProperty(value = "水印类型 0个人信息 1自定义 默认个人信息")
    @TableField("word_type")
    private Integer wordType;
    
    @ApiModelProperty(value = "水印内容")
    @TableField("word")
    private String word;
    /**
     * scorm
     */
    private ScormVO scorm;

    /***
     * 文档图片集合
     */
    @ApiModelProperty("文档图片")
    private List<DocPagesVO> docPages = new ArrayList<DocPagesVO>();

    @ApiModelProperty("文档总页数")
    private Integer pages;




}
