package com.yizhi.course.application.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 按用户分组统计
 * @author mei
 *
 */
@Data
public class ReportStudyCourseAccountVo {
	@ApiModelProperty(value = "用户ID")
	private Long accountId;
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	
	@ApiModelProperty(value = "所在部门")
	private String orgName;
	
	@ApiModelProperty(value = "可学课程数（空返回0）")
	private Integer totalAskCourse = 0;
	
	@ApiModelProperty(value = "参加课程数（空返回0）")
	private Integer totalInCourse = 0;
	
	@ApiModelProperty(value = "完成课程数（空返回0）")
	private Integer totalFinishCourse = 0;
	
	@ApiModelProperty(value = "总学习时长（分钟）（空返回0）")
	private String totalDuration ="0";
	
	@ApiModelProperty(value = "最后学习时间（yyyy-MM-dd HH:mm:ss）")
	private Date lastTime;
	
	//报表用到
	
	@ApiModelProperty(value = "未完成课程数（空返回0)")
	private Integer totalNoFinishCourse = 0;
	
	@ApiModelProperty(value="用户状态")
	private Integer accountState;
	
	@ApiModelProperty(value="工号")
	private String workNum;
}
