package com.yizhi.course.application.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 按课程统计
 * @author mei
 *
 */
@Data
public class ReportStudyCourseVo {
	
	@ApiModelProperty(value = "课程ID")
	private Long courseId;
	
	@ApiModelProperty(value = "课程编码")
	private String courseNo;
	
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	
	@ApiModelProperty(value = "可学习人数（空返回0）")
	private Integer totalAskAccount = 0;
	
	@ApiModelProperty(value = "已学习人数（空返回0）")
	private Integer totalInAccount = 0;	
	
	@ApiModelProperty(value = "学习次数（空返回0）")
	private Integer totalCount = 0;
	
	@ApiModelProperty(value = "课程时长（h:m:s，空返回0）")
	private String totalCourseTime;	
	
	@ApiModelProperty(value = "总学习时长（分钟）（空返回0）")
	private String totalDuration;
	
	@ApiModelProperty(value = "平均学习时长（空返回0），保留小时2位（98.00），前端补%")
	private String avgDuration ;
	
	@ApiModelProperty(value = "评论数（空返回0）")
	private Integer numComment = 0;
	
	@ApiModelProperty(value = "课程评分（空返回0）")
	private BigDecimal courseScore;	
	
	
	//报表用到
	
	@ApiModelProperty(value="评分人数")
	private Integer commentAccountCount = 0;
	
	@ApiModelProperty(value="课程当前状态")
	private Integer state = 0;

}
