package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学习日志表
 * </p>
 *
 * @author fulan123
 * @since 2018-05-03
 */
@Data
@Api(tags = "StudyLogVO", description = "学习日志表")
public class StudyLog {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "日志主键")
    private Long id;

    @ApiModelProperty(value = "会话id")
    private String sessionId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "账号id")
    private String accountId;

    @ApiModelProperty(value = "章节id")
    private Long chapterId;

    @ApiModelProperty(value = "素材id")
    private Long materialId;

    @ApiModelProperty(value = "分辨率")
    private String resolution;

    @ApiModelProperty(value = "文档页面")
    private Integer page;

    private Date createTime;

    @ApiModelProperty(value = "终端规格")
    private String terminalDevice;

    @ApiModelProperty(value = "终端类型")
    private String terminalType;

    @ApiModelProperty(value = "素材完成条件 0 未完成 1 完成")
    private Integer materialCompleted;

    private String orgId;

    private String companyId;

    private Long siteId;

    @ApiModelProperty(value = "日志分析完成条件 0 未完成 1 完成")
    private Integer status;

    @ApiModelProperty(value = "发送请求时间")
    private Long timestamp;

    @ApiModelProperty(value = "nginx接收请求时间")
    private Date nginxTime;

    private Integer progress;

    private String type;

}
