package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 测试案例的详细信息
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-17
 */
@Data
@ApiModel(value = "TestCaseInfoVO", description = "测试案例的详细信息VO")
public class TestCaseInfoVO {

    @ApiModelProperty(value = "测试案件详情id")
	private Long id;

    @ApiModelProperty(value = "测试案件id")
	private Long testCaseId;

    @ApiModelProperty(value = "测验id")
	private Long testId;

    @ApiModelProperty(value = "测验试题id（必传）")
	private Long testSubjectId;

    @ApiModelProperty(value = "（必传）试题选项ids（测验试题的当前显示选项ids（答案的顺序），多个使用, 逗号隔开）")
	private String subjectOptionIds;

    @ApiModelProperty(value = "（必传）答案选项ids（做试题人选择的答案，多个使用, 逗号隔开）")
	private String optionAnswerIds;

    @ApiModelProperty(value = "正确答案")
	private String correctAnswer;

    @ApiModelProperty(value = "结果 0 答错；1 答对")
	private Integer result;

    @ApiModelProperty(value = "该测验试题的分数")
	private Integer score;



}
