package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 16:40 2018/10/30
 * @Modified By
 */
@Data
@ApiModel(value = "TestCaseRecordVO", description = "测试答卷记录信息")
public class TestCaseRecordVO {

    @ApiModelProperty(value = "测试答卷id")
    private Long id;

    @ApiModelProperty(value = "测验信息id")
    private Long testId;

    @ApiModelProperty(value = "测验名称")
    private String name;

    @ApiModelProperty(value = "测验编码")
    private String code;

    @ApiModelProperty(value = "测验简介")
    private String desc;

    @ApiModelProperty(value = "测验类型：01 过程性测验；02 总结性测验")
    private String type;

    @ApiModelProperty(value = "测验策略-题目随机：0 表示不随机（false），1表示随机")
    private Boolean subjectRandomStrategy;

    @ApiModelProperty(value = "测验策略-选项随机：0 表示不随机（false），1表示随机")
    private Boolean optionRandomStrategy;

    @ApiModelProperty(value = "测验策略-解析反馈(总结性测试)：0 表示不反馈（false），1表示反馈")
    private Boolean explainFeedbackStrategy;

    @ApiModelProperty(value = "测验策略-正误反馈(总结性测试)：0 表示不反馈（false），1表示反馈")
    private Boolean resultFeedbackStrategy;

    @ApiModelProperty(value = "测验策略-答案反馈(总结性测试)：0 表示不反馈（false），1表示反馈")
    private Boolean answerFeedbackStrategy;

    @ApiModelProperty(value = "测验策略-通过性设置(过程测验)：0 表示答对才能下一题（false），1表示提交不管对错都能进行下一题")
    private Boolean passedSetting;

    @ApiModelProperty(value = "测验答卷的试题信息")
    private List<TestCaseSubRecordVO> testCaseSubRecordVOS;

    @ApiModelProperty(value = "测验分数")
    private Integer testScore;

    @ApiModelProperty(value = "合格分数")
    private Integer passingScore;

    @ApiModelProperty(value = "是否通过")
    private Integer isPass;
}
