package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 16:40 2018/10/30
 * @Modified By
 */
@Data
@ApiModel(value = "TestCaseSubRecordVO", description = "测试答卷试题记录信息")
public class TestCaseSubRecordVO {

    @ApiModelProperty(value = "测验试题id")
    private Long id;

    @ApiModelProperty(value = "题型：01 单选题；02 多选题；03 判断题")
    private String type;

    @ApiModelProperty(value = "题干")
    private String questions;

    @ApiModelProperty(value = "图片（此图片为题干相关图片 ，非必填项。）")
    private String img;

    @ApiModelProperty(value = "解析")
    private String explain;

    @ApiModelProperty(value = "分数")
    private Integer score;

    @ApiModelProperty(value = "测验id")
    private Long testId;

    @ApiModelProperty(value = "序号，对题目进行排序")
    private Integer sort;

    @ApiModelProperty(value = "答案，题目的答案选项")
    List<TestCaseRecordOpVO> testCaseRecordOpVOS;

    @ApiModelProperty(value = "该题是否作答正确。true表示答题正确")
    private Boolean isPass = false;
}
