package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 17:38 2018/10/11
 * @Modified By
 */
@Data
@ApiModel(value = "TestInfoListReqVO", description = "测验信息列表获取亲求参数VO")
public class TestInfoListReqVO {

    @ApiModelProperty(value = "测验信息的编码或者名称")
    private String codeOrName;

    @ApiModelProperty(value = "测验类型（不传不过滤）：01 过程性测验；02 总结性测验")
    private String type;

    @ApiModelProperty(value = "使用状态（不传不过滤）：0 草稿；1 使用中；2 未使用； ")
    private Integer status;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页")
    private Integer pageNo;
    /**
     * 每页记录数
     */
    @ApiModelProperty(value = "每页记录数")
    private Integer pageSize;

    /**
     * 是否是课程关联（如果未true 会默认去掉草稿状态的测验）
     */
    @ApiModelProperty(value = "是否是其他模块关联到测验的查询（默认未false，如果true表示去掉草稿的测验数据）")
    private Boolean isRelevance = false;
}
