package com.yizhi.course.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 课程分类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "ClassifyEntityVo", description = "课程分类")
public class ClassifyEntityVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "父id ")
    private Long parentId;

    @ApiModelProperty(value = "层级")
    private Integer layer;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类编码")
    private String code;

    @ApiModelProperty(value = "备注")
    private String description;

    @ApiModelProperty(value = "状态")
    private Integer status;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long orgId;

    private Long companyId;

    private Long siteId;

    @ApiModelProperty(value = "顶层节点id")
    private Long rootId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "分类路径")
    private String path;

    @ApiModelProperty(value = "来源 1内部定制2 外部定制3外部采购 4课程营销")
    private Integer source;

}
