/**
 * FileName: HomePageCourseController
 * Author:   wenjunlong
 * Date:     2018/4/12 16:00
 * Description: 首页课程展示
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.service.IClassifyService;
import com.yizhi.course.application.service.ICourseAccountService;
import com.yizhi.course.application.service.ICourseService;
import com.yizhi.course.application.vo.ApiSeachCourseVo;
import com.yizhi.course.application.vo.HomePageCoursePageVo;
import com.yizhi.course.application.vo.HomePageCourseVo;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.*;
import java.util.stream.Collectors;

/**
 * 〈一句话功能简述〉<br>
 * 〈首页课程展示〉
 *
 * @author wenjunlong
 * @create 2018/4/12
 * @since 1.0.0
 */
@RestController
@RequestMapping("/homePage")
@Log4j2
public class HomePageCourseController {

    @Autowired
    private ICourseService courseService;
    @Autowired
    private IClassifyService classifyService;

    @Autowired
    private ICourseAccountService courseAccountService;

    /**
     * 课程分类
     * @param apiSeachCourseVo
     * @return
     */
    @GetMapping("/list")
    public Page<HomePageCourseVo> getHomePageCourseListNew(@RequestBody ApiSeachCourseVo apiSeachCourseVo) {

        Integer pageNo = apiSeachCourseVo.getPageNo();
        Integer pageSize = apiSeachCourseVo.getPageSize();
        Page<HomePageCourseVo> retPage = new Page<>(pageNo,pageSize);

        List<Long> courseIds = null;
        Page<Long> idsPage = courseAccountService.selectLoginAccountCourseIds(null,
                null,null,false, apiSeachCourseVo.getName());
        if(idsPage!=null){
            courseIds = idsPage.getRecords();
            if(!org.springframework.util.CollectionUtils.isEmpty(courseIds)){
                courseIds = courseIds.stream().distinct().collect(Collectors.toList());
            }else {
                courseIds = Arrays.asList(-1L);
            }
            retPage = courseService.findWechatCourseList(courseIds,pageNo,pageSize,apiSeachCourseVo.getSiteId());
        }

        return retPage;
    }

    /**
     * 火热课程
     * @param apiSeachCourseVo
     * @return
     */
    @GetMapping("/hot/list")
    public List<HomePageCoursePageVo> hotList(
            @RequestBody ApiSeachCourseVo apiSeachCourseVo
    ) {

        List<HomePageCoursePageVo> homePageCoursePageVoLsit = courseService.homePageCoursePageList(apiSeachCourseVo.getName(),
                apiSeachCourseVo.getIds(), apiSeachCourseVo.getCompanyId(), apiSeachCourseVo.getSiteId(),
                apiSeachCourseVo.getPageNo(), apiSeachCourseVo.getPageSize());
        return homePageCoursePageVoLsit;
    }

    /**
     * 获取课程列表
     * @date 2018年9月26日
     * @param apiSeachCourseVo 参数体
     * @return 课程列表
     */
    @GetMapping("/hot/course")
    public List<HomePageCoursePageVo> getCourseList(@RequestBody ApiSeachCourseVo apiSeachCourseVo) {
        log.info("参数："+apiSeachCourseVo);
        List<HomePageCoursePageVo> homePageCoursePageVoLsit = courseService.homePageCourseNewPageList(
                apiSeachCourseVo.getIds(), apiSeachCourseVo.getCompanyId(), apiSeachCourseVo.getSiteId(), apiSeachCourseVo.getPageNo(), apiSeachCourseVo.getPageSize());
        return homePageCoursePageVoLsit;
    }

    @GetMapping("/home/course")
    public List<HomePageCoursePageVo> findHomeCourseList(@RequestBody List<Long> courseList) {
        return courseService.findHomeCourseList(courseList);
    }

    /**
     * 获取可见范围的课程
     * @param courseIds
     * @return
     */
    @GetMapping("/home/course/range")
    List<HomePageCoursePageVo> findCourseIdList(@RequestBody List<Long> courseIds){
        return courseService.findCourseIdList(courseIds);
    }
}
