package com.yizhi.course.application.controller;


import com.yizhi.application.orm.util.QueryUtil;
import com.yizhi.course.application.domain.LastViewRecord;
import com.yizhi.course.application.service.ILastViewRecordService;
import org.apache.commons.collections.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 最后观看记录 前端控制器
 * </p>
 *
 * @author 谢海军123
 * @since 2019-06-18
 */
@RestController
@RequestMapping("/api/lastViewRecord")
public class LastViewRecordController {

    private Logger LOGGER = LoggerFactory.getLogger(LastViewRecordController.class);

    @Autowired
    ILastViewRecordService lastViewRecordService;

    @PostMapping("/save")
    public Boolean save(@RequestBody LastViewRecord vo){
        vo.setCreateTime(new Date());
        try {
            LastViewRecord lastViewRecordEw = new LastViewRecord();
            lastViewRecordEw.setSiteId(vo.getSiteId());
            lastViewRecordEw.setAccountId(vo.getAccountId());
            //lastViewRecordEw.setCourseId(vo.getCourseId());
            lastViewRecordEw.setChapterId(vo.getChapterId());
            LastViewRecord dbInfo = lastViewRecordService.selectOne(QueryUtil.condition(lastViewRecordEw));
            if(dbInfo == null){
                lastViewRecordService.insert(vo);
            }else{
                lastViewRecordService.update(vo,QueryUtil.condition(lastViewRecordEw));
            }
        } catch (Exception e) {
            return false;
        }
        return true;
    }


    @GetMapping("/get")
    public LastViewRecord get(@RequestParam("siteId") Long siteId,
                                            @RequestParam("accountId") Long accountId,
                                            @RequestParam("courseId") Long courseId,
                                            @RequestParam(value = "chapterId",required = false) Long chapterId){
        LastViewRecord retData = null;
        LastViewRecord lastViewRecordEw = new LastViewRecord();
        lastViewRecordEw.setSiteId(siteId);
        lastViewRecordEw.setAccountId(accountId);
        lastViewRecordEw.setCourseId(courseId);
        if(Objects.nonNull(chapterId)){
            lastViewRecordEw.setChapterId(chapterId);
        }
        List<LastViewRecord> data = lastViewRecordService.selectList
                (QueryUtil.condition(lastViewRecordEw).orderBy("create_time",false));
        if(CollectionUtils.isNotEmpty(data)){
            retData = data.get(0);
        }
        return retData;
    }

}

