package com.yizhi.course.application.controller;
import com.yizhi.course.application.service.IMaterialService;
import com.yizhi.course.application.vo.CourseStudentListVo;
import com.yizhi.course.application.vo.MaterialSaveVO;
import com.yizhi.course.application.vo.MaterialStateUpdateVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import com.baomidou.mybatisplus.plugins.Page;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

/**
 * 学员做课 学员端controller
 * @author wangfeida
 *
 */
@RestController
@RequestMapping("/student")
public class LessonStudentController {
	
       
	    @Autowired
	    private IMaterialService materialService;

	    
	    //测试通过
	    @ApiOperation(value="显示我的我的做课列表",notes="显示我的做课列表")	
	    @GetMapping("/myLesson/list")
	    public Page<CourseStudentListVo> getMyLessonList(@ApiParam(name="name",value="名字模糊查询",required=false)@RequestParam(name="name",required=false)String name,
														 @ApiParam(name = "pageNo", value = "要跳转的页数", required = false) @RequestParam(name = "pageNo",required=false,defaultValue = "1") Integer pageNo,
														 @ApiParam(name = "pageSize", value = "每页条数，默认：10", required = false) @RequestParam(name = "pageSize", required=false,defaultValue = "10") Integer pageSize,
														 @ApiParam(name="accountId",value="用户id",required=false)@RequestParam(name="accountId",required=false)Long accountId){
				return materialService.listMyLesson(name,pageNo,pageSize,accountId);	
	    }
	    
	    //测试通过
	    @ApiOperation(value="做课单个显示",notes="做课单个显示")
	    @GetMapping("/myLesson/show")
	    public CourseStudentListVo getMyLessonShow(@ApiParam(name="id",value="主键id",required=true)@RequestParam(name="id",required=true)Long id){
				return materialService.getCourseStudentListVo(id);
	    }
	    
	    
	    //测试通过
	    @ApiOperation(value="新建素材",notes="新建素材未提交状态")
	    @PostMapping("/myLesson/save")
	    public Long setMyLesson(@RequestBody MaterialSaveVO materialSaveVO){
			return materialService.saveMaterialByType(materialSaveVO);
	    }
	    
	    
	    //测试通过
	    @ApiOperation(value="更改状态",notes="更改状态")
	    @PostMapping("/myLesson/update/state")
	    public Boolean updateState(@RequestBody MaterialStateUpdateVo materialStateUpdateVo){
				return materialService.updateStateById(materialStateUpdateVo);	
	    }
	    
	    
	    @ApiOperation(value="作业查看已通过做课列表内容",notes="作业查看已通过做课列表内容")
	    @GetMapping("/myLesson/pass/list")
	    public Page<CourseStudentListVo> getPassMaterialList(@RequestParam(name="name",required=false)String name,
	    		                          @RequestParam(name="accountId",required=false)Long accountId,
	    		                          @RequestParam(name="pageNo",required=false)Integer pageNo,
	    		                          @RequestParam(name = "pageSize", required=false) Integer pageSize) {
	    	return materialService.getPassMaterialList(name,accountId,pageNo, pageSize);
	    }
	    
	    
	    @ApiOperation(value="总的做课次数",notes="总的做课次数")
	    @GetMapping("/myLesson/all/num")
	    public Integer getMyLessonAllNum(@RequestParam(name="accountId",required=true)Long accountId) {
	    	return materialService.getMyLessonAllNum(accountId);
	    }
	    
	    
}
