package com.yizhi.course.application.controller;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.course.application.domain.OfflineCourse;
import com.yizhi.course.application.domain.OfflineRecorde;
import com.yizhi.course.application.service.IOfflineCourseService;
import com.yizhi.course.application.service.IOfflineRecordeService;
import com.yizhi.course.application.vo.OfflineCourseStudentVo;
import com.yizhi.util.application.enums.i18n.Constants;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/offlineCourse")
public class OfflineCourseStuController {

    @Autowired
    private IOfflineCourseService iOfflineCourseService;

    @Autowired
    private IOfflineRecordeService iOfflineRecordeService;

    @ApiOperation("线下课程学员端查询")
    @RequestMapping(value = "/get",method = RequestMethod.GET)
    public OfflineCourseStudentVo getList(@RequestParam(value = "id") Long id){
        OfflineCourseStudentVo offlineCourseStudentVo = new OfflineCourseStudentVo();
        OfflineCourse currentOfflineCourse = iOfflineCourseService.selectById(id);
        if (currentOfflineCourse != null){
            offlineCourseStudentVo.setImage(currentOfflineCourse.getImage());
            offlineCourseStudentVo.setName(currentOfflineCourse.getName());
            offlineCourseStudentVo.setAuthorUnit(currentOfflineCourse.getAuthorUnit());
            offlineCourseStudentVo.setDescription(currentOfflineCourse.getDescription());
        }

        RequestContext context = ContextHolder.get();
        OfflineRecorde offlineRecorde = new OfflineRecorde();
        offlineRecorde.setOfflineCourseId(id);
        offlineRecorde.setAccountId(context.getAccountId());
        offlineRecorde.setDeleted(0);
        EntityWrapper<OfflineRecorde> ew = new EntityWrapper<>(offlineRecorde);
        OfflineRecorde currentOfflineRecorde = offlineRecorde.selectOne(ew);

        if (currentOfflineRecorde != null){
            offlineCourseStudentVo.setStartTime(currentOfflineRecorde.getStartTime());
            offlineCourseStudentVo.setEndTime(currentOfflineRecorde.getEndTime());
            offlineCourseStudentVo.setScore(currentOfflineRecorde.getScore());
            offlineCourseStudentVo.setStatus(currentOfflineRecorde.getStatus().equals(1) ? "已完成" : "未完成");
        }

        return offlineCourseStudentVo;
    }


    /********************************************************  PC 端 线下课程查看  **************************************/

    @ApiOperation("线下课程 PC 端查询")
    @RequestMapping(value = "/pc/get",method = RequestMethod.GET)
    public OfflineCourseStudentVo getPcList(@RequestParam(value = "id") Long id){
        OfflineCourseStudentVo offlineCourseStudentVo = new OfflineCourseStudentVo();
        OfflineCourse currentOfflineCourse = iOfflineCourseService.selectById(id);
        if (currentOfflineCourse != null){
            offlineCourseStudentVo.setImage(currentOfflineCourse.getImage());
            offlineCourseStudentVo.setName(currentOfflineCourse.getName());
            offlineCourseStudentVo.setAuthorUnit(currentOfflineCourse.getAuthorUnit());
            offlineCourseStudentVo.setDescription(currentOfflineCourse.getDescription());
        }

        RequestContext context = ContextHolder.get();
        OfflineRecorde offlineRecorde = new OfflineRecorde();
        offlineRecorde.setOfflineCourseId(id);
        offlineRecorde.setAccountId(context.getAccountId());
        offlineRecorde.setDeleted(0);
        EntityWrapper<OfflineRecorde> ew = new EntityWrapper<>(offlineRecorde);
        OfflineRecorde currentOfflineRecorde = offlineRecorde.selectOne(ew);

        if (currentOfflineRecorde != null){
            offlineCourseStudentVo.setStartTime(currentOfflineRecorde.getStartTime());
            offlineCourseStudentVo.setEndTime(currentOfflineRecorde.getEndTime());
            offlineCourseStudentVo.setScore(currentOfflineRecorde.getScore());              //   已完成                                 // 未完成
            offlineCourseStudentVo.setStatus(currentOfflineRecorde.getStatus().equals(1) ? Constants.TRAINING_MSG_FINISHED.getName() : Constants.TRAINING_MSG_UNFINISHED.getName());
        }

        return offlineCourseStudentVo;
    }


}
