package com.yizhi.course.application.controller;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.course.application.domain.ThumbsUp;
import com.yizhi.course.application.service.IThumbsUpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 点赞 前端控制器
 *
 * @author Fairyland
 */
@RestController
@RequestMapping("/thumbsUp")
public class ThumbsUpController {

    @Autowired
    IdGenerator idGenerator;
    @Autowired
    private IThumbsUpService ithumbsUpService;

    /**
     * 新增点赞接口（保存）
     *
     * @return
     */
    @PostMapping("/save")
    public Boolean saveThumbsUp(@RequestBody ThumbsUp thumbsUp) {
        EntityWrapper<ThumbsUp> entityWrapper = new EntityWrapper<ThumbsUp>(thumbsUp);
        List<ThumbsUp> list = ithumbsUpService.selectList(entityWrapper);
        if (list.size() > 0) {
            return Boolean.FALSE;
        }
        thumbsUp.setId(idGenerator.generate());
        return ithumbsUpService.insert(thumbsUp);
    }


    /**
     * 新增删除点赞接口（保存）
     *
     * @return
     */
    @PostMapping("delete")
    public Boolean deleteThumbsUp(@RequestBody ThumbsUp thumbsUp) {
        EntityWrapper<ThumbsUp> entityWrapper = new EntityWrapper<ThumbsUp>(thumbsUp);
        return ithumbsUpService.delete(entityWrapper);
    }


}
