package com.yizhi.course.application.controller;


import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.domain.ProjectCourse;
import com.yizhi.course.application.service.ICourseService;
import com.yizhi.course.application.service.ITrProjectCourseService;
import com.yizhi.course.application.vo.ProjectCourseVo;
import com.yizhi.course.application.vo.ProjectSeachCourseVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author fulan123
 * @since 2018-03-30
 */
@RestController
@RequestMapping("/projectCourse")
public class TrProjectCourseController {

    @Autowired
    ITrProjectCourseService iTrProjectCourseService;

    @Autowired
    private ICourseService courseService;

    /**
     * 培训项目查询 课程列表
     * @param projectSeachCourseVo
     * @return
     */
    @GetMapping("/list")
    public Page<ProjectCourseVo> projectList(@RequestBody ProjectSeachCourseVo projectSeachCourseVo) {
        Page<ProjectCourseVo> projectCourseVoPage = courseService
                .searchProjectCoursePage(projectSeachCourseVo.getTrainingProjectId(),projectSeachCourseVo.getName(), projectSeachCourseVo.getClassifyId(),
                        projectSeachCourseVo.getCompanyId(), projectSeachCourseVo.getSiteId(), projectSeachCourseVo.getOrgId(), projectSeachCourseVo.getPageNo(), projectSeachCourseVo.getPageSize());
        return projectCourseVoPage;
    }

    /**
     * 培训项目和课程关联
     * @param projectCourse
     * @return
     */
    @PostMapping("/save")
    public Boolean save(@RequestBody ProjectCourse projectCourse) {
        Boolean f = iTrProjectCourseService.insert(projectCourse);
        return f;
    }


    /**
     * 培训项目删除关联课程
     * @param projectCourse
     * @return
     */
    @PostMapping("/delete")
    public Boolean delete(@RequestBody ProjectCourse projectCourse) {
        EntityWrapper<ProjectCourse> wrapper = new EntityWrapper<ProjectCourse>(projectCourse);
        Boolean f = iTrProjectCourseService.delete(wrapper);
        return f;
    }

}