package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-09
 */
@Data
@Api(tags = "CourseShare", description = "")
@TableName("course_share")
public class CourseShare extends Model<CourseShare> {

    private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "课程ID")
	@TableField("course_id")
	private Long courseId;

	@ApiModelProperty(value = "分享用户ID")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "分享的url")
	@TableField("share_url")
	private String shareUrl;

	@ApiModelProperty(value = "分享时间")
	@TableField("share_time")
	private Date shareTime;

	@ApiModelProperty(value = "被浏览次数")
	@TableField("read_count")
	private Long readCount;

	@ApiModelProperty(value = "分享用户名")
	@TableField("name")
	private String name;

	@ApiModelProperty(value = "分享用户的姓名")
	@TableField("full_name")
	private String fullName;

	@ApiModelProperty(value = "分享用户联系号码")
	@TableField("tel")
	private String tel;

	@TableField("company_id")
	private Long companyId;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty(value = "第一级分享人openId（下级分享人）")
	@TableField("first_share_id")
	private String firstShareId;

	@ApiModelProperty(value = "第二级分享人openId（下级分享人）")
	@TableField("second_share_id")
	private String secondShareId;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
