package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 课程学习状态
 * </p>
 *
 * @author 谢海军123
 * @since 2019-04-01
 */
@Data
@ApiModel(value = "CourseStudentStatus", description = "课程学习状态")
@TableName("course_student_status")
public class CourseStudentStatus {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
	private Long id;

    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "学习人的账号id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

    @ApiModelProperty(value = "课程学习状态 0:表示未完成，1表示已完成")
	@TableField("student_status")
	private Integer studentStatus;

    @ApiModelProperty(value = "最后学习时间")
	@TableField("last_student_time")
	private Date lastStudentTime;

    @ApiModelProperty(value = "完成比例")
	private Integer percent;

	@ApiModelProperty(value = "第一次完成时间")
	@TableField("first_finish_time")
	private Date firstFinishTime;

}
