package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 文档课程
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "DocPages", description = "文档课程")
@TableName("doc_pages")
public class DocPages extends Model<DocPages> {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "页面")
    @TableField("doc_page")
    private Integer docPage;

    @ApiModelProperty(value = "素材id")
    @TableField("material_id")
    private Long materialId;

    @ApiModelProperty(value = "文本")
    @TableField("image_url")
    private String imageUrl;


    @ApiModelProperty(value = "文件logo")
    @TableField("logo")
    private String logo;

	@ApiModelProperty(value="逻辑删除字段")
    private Integer deleted = 0;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
