package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 最后观看记录
 * </p>
 *
 * @author 谢海军123
 * @since 2019-06-18
 */
@Data
@ApiModel(value = "LastViewRecord", description = "最后观看记录")
@TableName("last_view_record")
public class LastViewRecord {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "账号id")
    @TableId("account_id")
	private Long accountId;

    @ApiModelProperty(value = "课程")
	@TableField("course_id")
	private Long courseId;

    @ApiModelProperty(value = "章节id")
	@TableField("chapter_id")
	private Long chapterId;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "观看的时间点")
	@TableField("view_ponit")
	private Long viewPonit;



}
