package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 营销课程查看记录
 * </p>
 *
 * @author 谢海军123
 * @since 2019-01-09
 */
@Data
@ApiModel(value = "MarketingCourseViewLog", description = "营销课程查看记录")
@TableName("marketing_course_view_log")
public class MarketingCourseViewLog {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

    @ApiModelProperty(value = "查看时间")
	@TableField("view_time")
	private Date viewTime;

    @ApiModelProperty(value = "查看账号id")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "查看账号名称")
	@TableField("account_name")
    private String accountName;

	@ApiModelProperty(value = "查看账号姓名")
	@TableField("account_full_name")
	private String accountFullName;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;



}
