package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 素材库
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "Material", description = "素材库")
@TableName("material")
public class Material extends Model<Material> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "素材编码")
    private String code;

    @ApiModelProperty(value = "素材名称")
    private String name;
    
    @ApiModelProperty(value = "素材介绍")
    private String content;

    @ApiModelProperty(value = "1音频 2 视频 3 文本 4 富媒体 5 Scrom 6 考试")
    private Integer type;

    @ApiModelProperty("1 外部采购 2 外部定制 3 内部定制 4 做课")
    private Integer source;

    @ApiModelProperty(value = "做课归属学员")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "制作人")
    private String producer;

    @ApiModelProperty(value = "标签")
    private String tags;

    @ApiModelProperty(value = "小时")
    @TableField("text_hour")
    private Integer textHour;

    @ApiModelProperty(value = "分")
    @TableField("text_minute")
    private Integer textMinute;

    @ApiModelProperty(value = "秒")
    @TableField("text_second")
    private Integer textSecond;

    @ApiModelProperty(value = "源文件url")
    @TableField("original_file_url")
    private String originalFileUrl;

    @ApiModelProperty(value = "源文件名，带后缀")
    @TableField("original_file")
    private String originalFile;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @TableField("org_id")
    private Long orgId;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;
    
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "上传源文件大小")
    @TableField("size")
    private String size;

    @ApiModelProperty(value = "考试关联id")
    @TableField("exam_id")
    private Long examId;

    @ApiModelProperty(value = "考试名称")
    @TableField("exam_name")
    private String examName;

    @ApiModelProperty(value = "保利威视vid")
    @TableField("poly_vid")
    private String polyVid;

    @ApiModelProperty(value = "是否显示水印 0否 1是 默认否")
    @TableField("display_mark")
    private Integer displayMark;
    
    @ApiModelProperty(value = "水印类型 0个人信息 1自定义 默认个人信息")
    @TableField("word_type")
    private Integer wordType;
    
    @ApiModelProperty(value = "水印内容")
    @TableField("word")
    private String word;
    @ApiModelProperty(value = "逻辑删除字段")
    private Integer deleted=0;
    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
