package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 线下课程表
 * </p>
 *
 * @author huangliang123
 * @since 2018-10-16
 */
@Data
@Api(tags = "OfflineCourse", description = "课程表")
@TableName("offline_course")
public class OfflineCourse extends Model<OfflineCourse> {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程code")
    private String code;

    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "作者单位")
    @TableField("author_unit")
    private String authorUnit;

    @ApiModelProperty(value = "课程介绍")
    private String description;

    @ApiModelProperty(value = "标签")
    private String tags;

    @ApiModelProperty(value = "0 已上架 1 未上架 2草稿")
    private Integer status;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id")
    private Long updateById;

    @TableField(value = "update_by_name")
    private String updateByName;

    @TableField(value = "update_time")
    private Date updateTime;

    @TableField("company_id")
    private Long companyId;

    @TableField("org_id")
    private Long orgId;

    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "分类id")
    @TableField("offline_classify_id")
    private Long offlineClassifyId;

    @ApiModelProperty(value = "0:默认未删除；1表示删除")
    private Integer deleted;

    @ApiModelProperty(value = "课程分类名称")
    @TableField(exist = false)
    private String offlineClassifyName;

    @ApiModelProperty(value = "上传地址")
    @TableField("oss_url")
    private String ossUrl;

    @ApiModelProperty(value = "上传文件的名字")
    @TableField("file_name")
    private String fileName;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
