package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 线下课程学习记录
 * </p>
 *
 * @author huangliang123
 * @since 2018-10-16
 */
@Data
@Api(tags = "OfflineRecorde", description = "学习记录")
@TableName("offline_recorde")
public class OfflineRecorde extends Model<OfflineRecorde> {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "账号id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "用户名")
    @TableField("account_name")
    private String accountName;

    @ApiModelProperty(value = "线下课程id")
    @TableField("offline_course_id")
    private Long offlineCourseId;

    @ApiModelProperty(value = "学习开始时间")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty(value = "学习结束时间")
    @TableField("end_time")
    private Date endTime;
    
    @ApiModelProperty(value = "状态:1通过,0不通过")
    private Integer status;

    @ApiModelProperty(value = "分数")
    private Float score;

    @ApiModelProperty(value = "积分")
    private Integer integral;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField("org_id")
    private Long orgId;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    /**
     * 是否删除
     */
    private Integer deleted;

    /**
     * 批次
     */
    private Integer batch;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
