package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Scorm 学习记录
 * </p>
 *
 * @author shengchenglong123
 * @since 2018-10-31
 */
@Data
@Api(tags = "ScormRecord", description = "Scorm 学习记录")
@TableName("scorm_record")
public class ScormRecord extends Model<ScormRecord> {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "scormId")
    @TableField("scorm_id")
    private Long scormId;

    @ApiModelProperty(value = "章节 id")
    @TableField("chapter_id")
    private Long chapterId;

    @ApiModelProperty(value = "用户 id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "scorm 学习数据")
    private String data;

    @ApiModelProperty(value = "是否完成：0否，1是")
    private Integer finished;

    @ApiModelProperty(value = "是否删除：0否，1是")
    private Integer deleted;

    @ApiModelProperty(value = "scorm获得分数")
    private Float score;

    @ApiModelProperty(value = "学习时长")
    @TableField(value = "total_study_seconds")
    private Long totalStudySeconds;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_time")
    private Date updateTime;

    @TableField("site_id")
    private Long siteId;

    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "当次学习时长")
    @TableField(value = "current_study_seconds")
    private Long currentStudySeconds;

    @ApiModelProperty(value = "开始学习时间")
    @TableField(value = "start_study_time")
    private Date startStudyTime;

    @ApiModelProperty(value = "终端类型")
    @TableField(value = "terminal_type")
    private String terminalType;

    @TableField(exist = false)
    private Integer num;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
