package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 王飞达123
 * @since 2018-07-30
 */
@Data
@Api(tags = "StatisticsCourse", description = "")
@TableName("statistics_course")
public class StatisticsCourse extends Model<StatisticsCourse> {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

	@ApiModelProperty(value = "课程编码")
	@TableField("course_code")
	private String courseCode;

	@ApiModelProperty(value = "课程名称")
	@TableField("course_name")
	private String courseName;

	@ApiModelProperty(value = "课程创建时间")
	@TableField("course_create_time")
	private Date courseCreateTime;

	@ApiModelProperty(value = "课程状态")
	@TableField("course_state")
	private Integer courseState;

	@ApiModelProperty(value = "课程时长（h:m:s）")
	@TableField("course_duration")
	private String courseDuration;

	@ApiModelProperty(value = "课程所在公司id")
	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "课程所在站点id")
	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty(value = "课程所在部门id")
	@TableField("org_id")
	private Long orgId;
	
	@ApiModelProperty(value = "课程所在部门名称")
	@TableField("course_org_name")
	private String courseOrgName;
	
	@ApiModelProperty(value = "课程所在部门编码")
	@TableField("org_no")
	private String orgNo;

	@ApiModelProperty(value = "工号")
	@TableField("work_num")
	private String workNum;

	@ApiModelProperty(value = "用户Id")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "用户名")
	private String name;

	@ApiModelProperty(value = "用户姓名")
	private String fullname;

	@ApiModelProperty(value = "用户所在部门")
	@TableField("org_name")
	private String orgName;

	@ApiModelProperty(value = "用户所在部门所有父节点名称")
	@TableField("org_parent_names")
	private String orgParentNames;

	@ApiModelProperty(value = "用户所在公司id")
	@TableField("account_company_id")
	private Long accountCompanyId;

	@ApiModelProperty(value = "用户所在站点id")
	@TableField("account_site_id")
	private Long accountSiteId;

	@ApiModelProperty(value = "用户所在部门id")
	@TableField("account_org_id")
	private Long accountOrgId;

	@ApiModelProperty(value = "学习时长（每天学习这门课程已经花费的时间，SUM求和）")
	@TableField("learn_duration")
	private Integer learnDuration;

	@ApiModelProperty(value = "学习开始时间，MIN取首次开始时间")
	@TableField("start_time")
	private Date startTime;

	@ApiModelProperty(value = "学习结束时间")
	@TableField("end_time")
	private Date endTime;

	@ApiModelProperty(value = "last_learn_time字段修改了学习完成时间(learn_state=2完成学习后更新，如有多条记录只更新最后一条,MAX取值）)")
	@TableField("finish_learn_time")
	private Date finishLearnTime;

	@ApiModelProperty(value = "首次完成时间(记录第一次完成课程的时间，多条记录只能更新最后一个，MAX取值)")
	@TableField("first_finish_time")
	private Date firstFinishTime;

	@ApiModelProperty(value = "0未学习 1进行中 2已完成，MAX取值")
	@TableField("learn_state")
	private Integer learnState;

	@ApiModelProperty(value = "可学课程状态（0不可学习 1可学习）")
	@TableField("can_state")
	private Integer canState;

	@ApiModelProperty(value = "参加课程状态（0未参加 1已参加）")
	@TableField("join_state")
	private Integer joinState;
	
	@ApiModelProperty(value = "参加课程状态（0未参加 1已参加）")
	@TableField("learn_count")
	private Integer learnCount;

	@ApiModelProperty(value = "评分人数，SUM")
	@TableField("comment_account_count")
	private Integer commentAccountCount;

	@ApiModelProperty(value = "评论数，SUM")
	@TableField("comment_count")
	private Integer commentCount;

	@ApiModelProperty(value = "课程评分，SUM")
	private BigDecimal grade;

	@ApiModelProperty(value = "用户状态（0禁用1启用）")
	@TableField("account_state")
	private Integer accountState;

	@ApiModelProperty(value = "完成课程数量，课程完成(learn_state=2)时更新为1")
	@TableField("finish_count")
	private Integer finishCount;

	@ApiModelProperty(value = "获取积分")
	@TableField("learn_point")
	private Integer learnPoint;

	@ApiModelProperty(value = "获取得分")
	@TableField("learn_score")
	private Integer learnScore;

	@ApiModelProperty(value = "记录创建时间")
	@TableField("record_create_time")
	private Date recordCreateTime;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
