package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 测验案件
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-17
 */
@Data
@ApiModel(value = "TestCase", description = "测验案件")
@TableName("test_case")
public class TestCase {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

    @ApiModelProperty(value = "课程的章节id")
	@TableField("chapter_id")
	private Long chapterId;

    @ApiModelProperty(value = "测验信息id")
	@TableField("test_id")
	private Long testId;

    @ApiModelProperty(value = "测验人账号id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "0：测验未通过；1：测验通过")
	private Integer status;

    @ApiModelProperty(value = "测试分数 在总结性测验才会有")
	@TableField("test_score")
	private Integer testScore;

    @ApiModelProperty(value = "课程测验设定的合格分数")
	private Integer score;



}
