package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 测试案例的详细信息
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-17
 */
@Data
@ApiModel(value = "TestCaseInfo", description = "测试案例的详细信息")
@TableName("test_case_info")
public class TestCaseInfo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "测试案件详情id")
	private Long id;

    @ApiModelProperty(value = "测试案件id")
	@TableField("test_case_id")
	private Long testCaseId;

    @ApiModelProperty(value = "测验id")
	@TableField("test_id")
	private Long testId;

    @ApiModelProperty(value = "测验试题id")
	@TableField("test_subject_id")
	private Long testSubjectId;

    @ApiModelProperty(value = "试题选项ids")
	@TableField("subject_option_ids")
	private String subjectOptionIds;

    @ApiModelProperty(value = "答案选项ids")
	@TableField("option_answer_ids")
	private String optionAnswerIds;

    @ApiModelProperty(value = "正确答案")
	@TableField("correct_answer")
	private String correctAnswer;

    @ApiModelProperty(value = "结果 0 答错；1 答对")
	private Integer result;

    @ApiModelProperty(value = "该测验试题的分数")
	private Integer score;



}
