package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 我的点赞
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "ThumbsUp", description = "我的点赞")
@TableName("thumbs_up")
public class ThumbsUp extends Model<ThumbsUp> {

    private static final long serialVersionUID = 1L;


	private Long id;

@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

@ApiModelProperty(value = "账号id")
	@TableField("account_id")
	private Long accountId;

	@TableField("site_id")
	private Long siteId;

@ApiModelProperty(value = "点赞的评论id")
	@TableField("comment_id")
	private Long commentId;

	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "是否已经点赞")
	@TableField(exist = false)
	private Boolean hasThumbsUp;

	@ApiModelProperty(value = "点赞次数")
	@TableField(exist = false)
	private Integer thumbsUpNum;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
