package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.ClassifyGroup;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 分类组和分类的关联信息表 Mapper 接口
 * </p>
 *
 * @author xiehaijun
 * @since 2019-12-13
 */
public interface ClassifyGroupMapper extends BaseMapper<ClassifyGroup> {

    @Select("<script>" +
            "SELECT " +
            " id " +
            " FROM" +
            " classify_group " +
            " WHERE classify_group_info_id = #{id} " +
            " AND classify_id IN" +
            "<foreach collection=\"classifyId\" open=\"(\" close=\")\" separator=\",\" item=\"cid\" index=\"index\">" +
            "#{cid} " +
            "</foreach>" +
            "</script>")
    List<Long> getDelClassifyId(@Param(value = "id") Long id, @Param(value = "classifyId") List<Long> classifyId);

}
