package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.domain.CourseAccount;
import org.apache.ibatis.annotations.Param;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 课程指定用户 Mapper 接口
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-08
 */
public interface CourseAccountMapper extends BaseMapper<CourseAccount> {

    List<Long> selectCourseIdByRelationId(@Param("relationIds") List<Long> relationIds);

    Boolean insertList(@Param("list") List<CourseAccount> list);

    /**
     * 查询当前用户可见范围内的课程ids
     *
     * @param classifyIds
     * @param relationIds
     * @param companyId
     * @param siteId
     * @param page
     * @return
     */
    List<Long> selectLoginAccountCourseIds(@Param("classifyIds") List<Long> classifyIds,
                                           @Param("relationIds") List<Long> relationIds,
                                           @Param("companyId") Long companyId,
                                           @Param("siteId") Long siteId,
                                           @Param("findCourseKey") String findCourseKey,
                                           Page<Long> page);

    List<Long> selectLoginAccountCourseIds(@Param("classifyIds") List<Long> classifyIds,
                                           @Param("relationIds") List<Long> relationIds,
                                           @Param("companyId") Long companyId,
                                           @Param("siteId") Long siteId,
                                           @Param("findCourseKey") String findCourseKey);

    List<Long> getUsefulIds(@Param("courseIds") List<Long> courseIds,
                            @Param("relationIds") List<Long> relationIds,
                            @Param("siteId") Long siteId);

}
