package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.course.application.domain.OfflineRecorde;
import com.yizhi.course.application.vo.ReportOfflineCourseStatisticsDetailVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 线下课程学习记录 Mapper 接口
 * </p>
 *
 * @author huangliang123
 * @since 2018-10-16
 */
public interface OfflineRecordeMapper extends BaseMapper<OfflineRecorde> {

    /**
     * 报表数据统计
     *
     * @param startTime
     * @param endTime
     * @return
     */
    List<OfflineRecorde> dataStatistics(@Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("context") RequestContext context);

    /**
     * 报表统计详情 下载
     *
     * @param startTime
     * @param endTime
     * @return
     */
    List<ReportOfflineCourseStatisticsDetailVo> statisticsDetailDownload(@Param("startTime") Date startTime, @Param("endTime") Date endTime,
                                                                         @Param("code") String code, @Param("name") String name,
                                                                         @Param("context") RequestContext context);

    /**
     * 获取最后导入的批次
     *
     * @param courseId
     * @param siteId
     * @param companyId
     * @return
     */
    Integer getLastBatch(@Param("courseId") Long courseId, @Param("siteId") Long siteId, @Param("companyId") Long companyId);

    /**
     * 查询报表记录详情
     *
     * @param offlineCourseId
     * @param rowBounds
     * @return
     */
    List<OfflineRecorde> queryDetailByOfflineCourseId(@Param("offlineCourseId") Long offlineCourseId, RowBounds rowBounds);

    /**
     * 查询报表记录详情数量
     *
     * @param offlineCourseId
     * @return
     */
    Integer queryDetailByOfflineCourseIdCount(@Param("offlineCourseId") Long offlineCourseId);

    List<ReportOfflineCourseStatisticsDetailVo> statisticsDetail(@Param("startTime") Date startTime, @Param("endTime") Date endTime,
                                                                 @Param("code") String code, @Param("name") String name,
                                                                 @Param("context") RequestContext context, RowBounds rowBounds);

}
