package com.yizhi.course.application.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.Scorm;
import com.yizhi.course.application.vo.ScormVO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * scorm 课程包解析保存 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface ScormMapper extends BaseMapper<Scorm> {

    void deleteByMaterialId(@Param(value = "materialId") Long materialId);

    ScormVO getByMaterialId(@Param(value = "materialId") Long materialId);

    List<ScormVO> getByMaterialIds(@Param(value = "materialIds") List<Long> materialIds);

    /**
     * 复旦mini mba项目获取多个培训项目总学习时长
     *
     * @param isRealTime
     * @param courseIds
     * @param accountId
     * @return
     */
    Long getProjectsTotalDuration(@Param("isRealTime") Integer isRealTime,
                                  @Param("courseIds") List<Long> courseIds,
                                  @Param("accountId") Long accountId);

    /**
     * 复旦mini mba项目获取多个个课程的学习总时长
     *
     * @param bizIds
     * @param accountId
     * @return
     */
    @MapKey("course_id")
    Map<Long, Map<String, Object>> getCourseTotalDuration(@Param("bizIds") List<Long> bizIds,
                                                          @Param("accountId") Long accountId);
}
