package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.ThumbsUp;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 我的点赞 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface ThumbsUpMapper extends BaseMapper<ThumbsUp> {

    @Select("<script>" +
            "SELECT tu.comment_id commentId ,count(tu.comment_id) AS thumbsUpNum " +
            " FROM thumbs_up tu " +
            " WHERE tu.site_id=#{siteId}" +
            " and tu.comment_id IN " +
            "<foreach collection=\"commentIds\" open=\"(\" close=\")\" separator=\",\" item=\"cid\" index=\"index\">" +
            "#{cid} " +
            "</foreach>" +
            " GROUP BY tu.comment_id" +
            "</script>")
    List<ThumbsUp> getThumbsInfo(@Param("siteId") Long siteId,
                                 @Param("commentIds") List<Long> commentIds);

    @Select("<script>" +
            "SELECT tu.comment_id commentId " +
            " FROM thumbs_up tu " +
            " WHERE tu.site_id=#{siteId}" +
            " and account_id = #{accountId}" +
            " and tu.comment_id IN " +
            "<foreach collection=\"commentIds\" open=\"(\" close=\")\" separator=\",\" item=\"cid\" index=\"index\">" +
            "#{cid} " +
            "</foreach>" +
            " GROUP BY tu.comment_id" +
            "</script>")
    List<Long> getThumbsInfoByUser(@Param("siteId") Long siteId,
                                        @Param("accountId") Long accountId,
                                        @Param("commentIds") List<Long> commentIds);

}
