package com.yizhi.course.application.service;


import com.yizhi.core.application.task.AbstractTaskHandler;
import com.yizhi.core.application.vo.AuthorizeChapterVO;
import com.yizhi.course.application.controller.CourseController;
import com.yizhi.course.application.domain.Chapter;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  lilingye
 * @date  2018-10-25 11:15:23
 */
@Component
@Log4j2
public class ChapterDeleteTask extends AbstractTaskHandler {

    @Autowired
    private IAccreditService accreditService;

    @Autowired
    private IChapterService chapterService;

    @Autowired
    CourseController courseController;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void handle() {

        AuthorizeChapterVO chapterVO = this.taskContext.getChapterVO();

        Chapter chapter = new Chapter();
        chapter.setChapterBeforeId(chapterVO.getId());

        List<Chapter> chapterList = new ArrayList<>();

        List<Chapter> chapters =  chapterService.getChapterList(chapterList,chapterVO.getId());

        log.info("列表："+chapters);
        log.info("列表的长度："+chapters.size());
        List<Long> ids = new ArrayList<Long>();
        for (Chapter c : chapters) {
            ids.add(c.getId());
        }
        if (CollectionUtils.isNotEmpty(ids)){
            chapterService.deleteBatchIds(ids);
        }
    }
}
