package com.yizhi.course.application.service;


import com.yizhi.core.application.task.AbstractTaskHandler;
import com.yizhi.course.application.controller.CourseController;
import com.yizhi.course.application.domain.Chapter;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  lilingye
 * @date  2018-10-25 11:15:23
 */
@Component
@Log4j2
public class ChapterSortTask extends AbstractTaskHandler {

    @Autowired
    IChapterService chapterService;

    @Autowired
    CourseController courseController;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void handle() {

        List<String> chapterIds = this.taskContext.getIds();

        Chapter chapterParam = new Chapter();

        List<Chapter> chapterList = new ArrayList<>();
        List<Chapter> sourceChapters =  chapterService.getChapterList(chapterList,Long.valueOf(chapterIds.get(0)));

        List<Long> chapterIdList = new ArrayList<>();

        List<Long> targetChapters =  chapterService.getChapterIds(chapterIdList,Long.valueOf(chapterIds.get(1)));

        Long sIndex = sourceChapters.get(0).getIndexId();

        Long tIndex = chapterService.selectById(Long.valueOf(chapterIds.get(1))).getIndexId();
        List<String> ids = new ArrayList<>();
        for (Chapter c:sourceChapters){
            Long sChapterId = c.getId();
            Long sParentId = c.getParentId();
            ids.add(sChapterId.toString());

            if (sIndex.equals(c.getIndexId())){
                for (Long chapterId:targetChapters){
                    Chapter chapterDO = chapterService.selectById(chapterId);
                    if (chapterDO.getIndexId().equals(tIndex)&&c.getCourseId().equals(chapterDO.getCourseId())) {
                        if (sParentId.equals(chapterDO.getParentId())){
                            ids.add(chapterId.toString());
                            log.info("ids的值是："+ids);
                            courseController.chapterSort(ids);
                            ids.clear();
                        }
                    }


                }
            }


        }

    }
}
