package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.Chapter;
import com.yizhi.course.application.vo.ChapterDetailedInfoVO;
import com.yizhi.course.application.vo.ChapterDetailsVo;
import com.yizhi.course.application.vo.ChapterJoinTestVo;
import com.yizhi.course.application.vo.ChapterVo;

import java.util.List;

/**
 * <p>
 * 课程章节 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface IChapterService extends IService<Chapter> {

    /**
     * 获取章节信息
     * @param chapterId
     * @return
     */
    ChapterDetailedInfoVO getChapterDetailedInfo(Long chapterId);
    /**
     * 数据缺失
     * @param ids
     * @return
     */
    List<Long> dataLack(List<Long> ids);

    List<ChapterVo> getCourseScoreByIds(List<Long> ids);

    Chapter getById(Long chapterId);

    Integer getSort(Long parentId);

    List<ChapterJoinTestVo> selectChapterTest(List<Long> materialIds);


    List<Chapter> listByCourseId(Long parentId);

    boolean saveList(List<ChapterVo> chapterVos, Long courceId);

    List<ChapterDetailsVo> selectChapterList(Long courseId, Long accountId);

    List<ChapterDetailsVo> selectChapterListUpMg(Long courseId, Long accountId,Long siteId);

    List<ChapterDetailsVo> selectChapterListUp(Long courseId, Long accountId);

    List<ChapterDetailsVo> selectChapterListMarketing(Long courseId);

    Integer selectSumScoreByParentId(Chapter param);

    /**
     * 获取课程的章节
     *
     * @param courseId
     * @return
     */
    List<Chapter> courseChapterList(Long courseId);

    /**
     * 章节删除
     *
     * @param chapterId
     * @return
     */
    Boolean chapterDelete(Long chapterId);

    /**
     * 递归查询授权的章节
     *
     * @param chapters
     * @param chapterBeforeId
     * @return
     */
    List<Chapter> getChapterList(List<Chapter> chapters, Long chapterBeforeId);

    /**
     * 获取最大的id
     *
     * @param courseId
     * @return
     */
    Integer getMaxIndex(Long courseId);

    /**
     * 查询章节
     *
     * @param chapterIds
     * @param chapterBeforeId
     * @return
     */
    List<Long> getChapterIds(List<Long> chapterIds, Long chapterBeforeId);

    List<Long> getChapters(Long courseId);

    /**
     * 查询课程完成的章节
     * @param courseId
     * @param accountId
     * @param siteId
     * @return
     */
    List<Chapter> selectCourseFinishChapter(Long courseId,
                                            Long accountId,
                                            Long siteId);

    /**
     * 查询已经完成的课程章节id集合
     * @param accountId
     * @param chapterIds
     * @return
     */
    List<Long> getFinishChapterIds(Long accountId, List<Long> chapterIds);
}
