package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.CourseAccount;
import com.yizhi.course.application.vo.CourseAccountReport;

import java.util.List;

/**
 * <p>
 * 课程指定用户 服务类
 * </p>
 *
 * @author 谢海军
 * @since 2018-04-08
 */
public interface ICourseAccountService extends IService<CourseAccount> {


    Boolean saveCourseAccountList(List<CourseAccount> courseAccounts);
    
    
    CourseAccountReport listCourseAccountByCourseIdReprot(Long courseId);
    
    List<CourseAccount>listCourseAccountByCourseId(Long courseId);

    Boolean insertCourseAccountList(List<CourseAccount> courseAccounts);

    /**
     *
     * 查询可见范围内的课程ids
     * @param classifyId 分类id（按分类查找时用到）
     * @param pageNo 当前页数
     * @param pageSize 每页条数
     * @param subClassify 是否需要查询分类下面的子分类（true表示会查询该分类下的子分类课程，false只查当前分类下的课程）
     * @param findCourseKey 查询课程的关键字（课程名称）
     * @return
     */
    Page<Long> selectLoginAccountCourseIds(Long classifyId, Integer pageNo, Integer pageSize,
                                           boolean subClassify,String findCourseKey);
}
