package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.CourseShare;
import com.yizhi.course.application.vo.CourseForwardUserVo;
import com.yizhi.course.application.vo.CourseShareVo;
import com.yizhi.util.application.page.PageInfo;
import com.yizhi.util.application.page.PageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-09
 */
public interface ICourseShareService extends IService<CourseShare> {

    PageInfo<CourseShareVo> searchMyShareInfo(Long accountId, PageParam<CourseShareVo> pageParam, String searchFiled);

    List<CourseForwardUserVo> courseShareCount(Long conrseId, String username);

    /**
     * 统计我的分享课程数
     * @param siteId
     * @param accountId
     * @return
     */
    Integer countMyShareCourseNum(Long siteId ,Long accountId);


    /**
     * 查询我分享的推广信息
     * @param courseId
     * @param pageNo
     * @param pageSize
     * @param firstShareId
     * @return
     */
    PageInfo<CourseShareVo> findShareSpreadList(Long accountId, Long courseId,Long siteId, int pageNo, Integer pageSize, String firstShareId);

}
