package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.CourseStudyHour;
import com.yizhi.course.application.vo.MyDurationVO;
import com.yizhi.course.application.vo.StudyHourReportVO;

import java.util.List;

/**
 * <p>
 * 课程学时发放明细 服务类
 * </p>
 *
 * @author 谢海军123
 * @since 2019-05-14
 */
public interface ICourseStudyHourService extends IService<CourseStudyHour> {
    /**
     * 根据站点id或者（用户id，课程id）统计学时
     *
     * @param siteId
     * @param accountId
     * @param courseId
     * @return
     */
    Float studyHourSum(Long siteId, Long accountId, Long courseId);

    /**
     * 学时统计获取列表(加入分级授权)
     * @author ding
     * @param companyId
     * @param siteId
     * @param isAdmin
     * @param accountId
     * @param userName
     * @param orgNameLike
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<StudyHourReportVO> getStudyHourList(Long companyId, Long siteId, boolean isAdmin, Long accountId,
                                             String userName, String orgNameLike, Integer pageNo, Integer pageSize);

    Page<MyDurationVO> queryDurationByAccountId(Long accountId, Long siteId, Integer pageNo, Integer pageSize);

    /**
     * 学时明细下载
     * @param companyId
     * @param siteId
     * @param isAdmin
     * @param accountId
     * @param userName
     * @param orgNameLike
     * @return
     */
    List<StudyHourReportVO> studyHourDetailsDownload(Long companyId, Long siteId, boolean isAdmin, Long accountId, String userName, String orgNameLike);
}
