package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.OfflineCourse;
import com.yizhi.course.application.vo.OfflineCourseVo;

import java.util.List;

/**
 * <p>
 * 线下课程表 服务类
 * </p>
 *
 * @author huangliang123
 * @since 2018-10-16
 */
public interface IOfflineCourseService extends IService<OfflineCourse> {

    /**
     * 添加线下课程
     *
     * @param offlineCourseVo
     * @return
     */
    OfflineCourseVo save(OfflineCourseVo offlineCourseVo );

    /**
     * 修改线下课程
     *
     * @param offlineCourseVo
     * @return
     */
    Boolean update(OfflineCourseVo offlineCourseVo);

    /**
     * 验证线下课程code唯一性
     *
     * @param id
     * @param code
     * @param siteId
     * @return
     */
    Boolean verifyCourseCode( Long id,String  code,Long siteId);

    /**
     * 线下课程分页查询
     *
     * @param name
     * @param offlineClassifyId
     * @param status
     * @param companyId
     * @param siteId
     * @param orgIds
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<OfflineCourse> searchPage(String name, Long offlineClassifyId, Integer status, Long companyId, Long  siteId, List<Long> orgIds, int pageNo, int pageSize);

    /**
     * 全文检索
     *
     * @param name
     * @param companyId
     * @param siteId
     * @param orgId
     * @return
     */
    List<OfflineCourse> selectCourseList(String name, Long companyId, Long siteId, Long orgId );

    /**
     * 上传文件
     *
     * @param offlineCourseVo
     * @return
     */
    Integer upload(OfflineCourseVo offlineCourseVo);
}
