package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.TestSubject;
import com.yizhi.course.application.vo.TestSubjectVO;

/**
 * <p>
 * 测验试题 服务类
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-11
 */
public interface ITestSubjectService extends IService<TestSubject> {

    /**
     * 根据测试ID查询试题的总分
     * @param testId
     * @return
     */
    Integer sumScore(Long testId);

    /**
     * 保存测验信息
     * @param vo
     * @return
     */
    TestSubjectVO saveTestSubject(TestSubjectVO vo);

    /**
     * 删除单个测验试题
     * @param id
     * @return
     */
    boolean deleteAndSort(Long id);

    /**
     * 更新排序
     * @param id
     * @param moveType
     * @return
     */
    public TestSubjectVO sort(Long id, String moveType);

}
