package com.yizhi.course.application.service.impl;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.domain.Comment;
import com.yizhi.course.application.mapper.CommentMapper;
import com.yizhi.course.application.service.ICommentService;
import com.yizhi.course.application.vo.ApiCommnentVo;
import com.yizhi.course.application.vo.ListCommentVo;
import org.apache.ibatis.session.RowBounds;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 评论 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class CommentServiceImpl extends ServiceImpl<CommentMapper, Comment> implements ICommentService {

    @Override
    public Page<ListCommentVo> getCommentPage(Long coursrId, int pageNo, int pageSize, List<Long> accountIds, Integer status) {
        Page<ListCommentVo> page = new Page<ListCommentVo>(pageNo, pageSize);
        page.setRecords(this.baseMapper.getCommentPage(coursrId,accountIds,status, new RowBounds(page.getOffset(), page.getLimit())));
        Integer count = this.baseMapper.getCommentPageCount(coursrId,accountIds,status);
        page.setTotal(count);
        return page;
    }

    @Override
    public Page<ApiCommnentVo> apiCourseCommentPage(Long coursrId, Long accountId, int pageNo, int pageSize) {
        Page<ApiCommnentVo> page = new Page<ApiCommnentVo>(pageNo, pageSize);

        page.setRecords(this.baseMapper.apiCourseCommentPage(coursrId,accountId, new RowBounds(page.getOffset(), page.getLimit())));
        Integer count = this.baseMapper.apiCourseCommentPageCount(coursrId, accountId);
        if (count == null) {
            count = 0;
        }
        page.setTotal(count);
        return page;
    }

	@Override
	public List<ListCommentVo> getCommentList(Long coursrId, List<Long> accountIds, Integer status) {
		// TODO Auto-generated method stub
		List<ListCommentVo> list = this.baseMapper.getCommentList(coursrId, accountIds, status);
		return list;
	}
}
