package com.yizhi.course.application.service.impl;

import com.yizhi.course.application.domain.DocPages;
import com.yizhi.course.application.mapper.DocPagesMapper;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.service.IDocPagesService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 文档课程 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DocPagesServiceImpl extends ServiceImpl<DocPagesMapper, DocPages> implements IDocPagesService {

	@Override
	public DocPages getDocPagesByMaterialId(Long materialId) {
		// TODO Auto-generated method stub
		DocPages docPages=new DocPages();
		docPages.setMaterialId(materialId);
		docPages.setDeleted(0);
		EntityWrapper<DocPages> wrapper=new EntityWrapper<DocPages>(docPages);
		return this.selectOne(wrapper);
	}

	@Override
	public Boolean deleteDocPagesByMaterialId(Long materialId) {
		// TODO Auto-generated method stub
		DocPages docPages=new DocPages();
		docPages.setMaterialId(materialId);
		docPages.setDeleted(1);
		EntityWrapper<DocPages> wrapper=new EntityWrapper<DocPages>(docPages);
		return update(docPages,wrapper);
	}

}
