package com.yizhi.course.application.service.impl;


import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.domain.Favorite;
import com.yizhi.course.application.mapper.CourseMapper;
import com.yizhi.course.application.mapper.FavoriteMapper;
import com.yizhi.course.application.service.IFavoriteService;
import com.yizhi.course.application.vo.ApiListCourseVo;
import org.apache.ibatis.session.RowBounds;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 课程收藏 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-04-23
 */
@Service
public class FavoriteServiceImpl extends ServiceImpl<FavoriteMapper, Favorite> implements IFavoriteService {

    @Autowired
    private CourseMapper courseMapper;

    @Override
    public Integer selectMyCourseCount(Long accountId,Long companyId,Long siteId) {
        return this.baseMapper.selectMyCourseCount(accountId,companyId,siteId);
    }

    @Override
    public List<ApiListCourseVo> selectMyCourseList(String name, Long accountId, Long companyId, Long siteId, Integer pageNo, Integer pageSize) {
        Page<ApiListCourseVo> page = new Page<ApiListCourseVo>(pageNo, pageSize);
        List<ApiListCourseVo> apiListCourseVos = this.baseMapper.selectMyCourseList(name, accountId,companyId,siteId,
                new RowBounds(page.getOffset(), page.getLimit()));
        return apiListCourseVos;
    }

    /**
     *   ( PC端) 我的课程收藏列表(分页)
     *
     * @param name
     * @param accountId
     * @param companyId
     * @param siteId
     * @param pageNo
     * @param pageSize
     * @return
     */
    @Override
    public Page<ApiListCourseVo> selectPCMyCourseList(String name, Long accountId, Long companyId, Long siteId, Integer pageNo, Integer pageSize) {

        Page<ApiListCourseVo> page = new Page<ApiListCourseVo>(pageNo, pageSize);
        List<ApiListCourseVo> apiListCourseVoPage = this.baseMapper.selectPCMyCourseList(name, accountId, companyId, siteId, new RowBounds(page.getOffset(), page.getLimit()));
        Integer count = this.baseMapper.selectPCMyCourseListCount(name, accountId, companyId, siteId);
        page.setRecords(apiListCourseVoPage);
        page.setTotal(count);
        return page;
    }
}
