package com.yizhi.course.application.task;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.course.application.domain.CourseGrade;
import com.yizhi.course.application.domain.Favorite;
import com.yizhi.course.application.domain.ViewCourseCount;
import com.yizhi.course.application.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.AsyncResult;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Future;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 16:31 2019/6/5
 * @Modified By
 */
@Service
public class CourseOptimizeAsync {

    public static final String COURSE_GRADE = "courseGrade";

    public static final String IS_FAVORITE = "IsFavorite";

    public static final String COURSE_DURATION = "courseDuration";

    public static final String VIEW_COUNT = "viewCount";

    @Autowired
    private ICourseCountService iCourseCountService;

    @Autowired
    private ICourseGradeService courseGradeService;

    @Autowired
    private IFavoriteService favoriteService;

    @Autowired
    private IRecordeService recordeService;

    @Autowired
    private ICourseService courseService;

    /**
     * 新增课程浏览记录
     * @param viewCourseCount
     */
    @Async
    public void insertCourseCount(ViewCourseCount viewCourseCount) {
        iCourseCountService.insert(viewCourseCount);
    }

    @Async
    public Future<Map<String,Object>> getCourseOthenInfo(Long accountId, Long courseId) throws InterruptedException {
        Map<String,Object> data = new HashMap<>();
        //我的评分
        String myLevel = "0";
        CourseGrade courseGrade = new CourseGrade();
        courseGrade.setAccountId(accountId);
        courseGrade.setCourseId(courseId);
        EntityWrapper<CourseGrade> wrapper = new EntityWrapper<CourseGrade>(courseGrade);
        CourseGrade courseGrade1 = courseGradeService.selectOne(wrapper);
        if (!StringUtils.isEmpty(courseGrade1)) {
            myLevel = courseGrade1.getLevel() + "";
        }
        data.put(COURSE_GRADE,myLevel);

        //是否收藏
        String IsFavorite = "0";
        Favorite favorite = new Favorite();
        favorite.setCourseId(courseId);
        favorite.setAccountId(accountId);
        EntityWrapper<Favorite> fWrapper = new EntityWrapper<Favorite>(favorite);
        List<Favorite> favoriteList = favoriteService.selectList(fWrapper);
        if (null != favoriteList && favoriteList.size() > 0) {
            IsFavorite="1";
        } else {
            IsFavorite="0";
        }
        data.put(IS_FAVORITE,IsFavorite);

        //课程的学习时长
        Integer d = recordeService.selectDurationByCourseId(courseId);
        if (StringUtils.isEmpty(d)) {
            d = 0;
        }
        data.put(COURSE_DURATION,d);

        //课程浏览人次
        Integer count = courseService.courseViewCount(courseId, accountId);
        //如果为空设0，没人浏览(如果数据未查到，应为N+1)
        if (StringUtils.isEmpty(count)) {
            count = 1;
        } else {
            count=count + 1;
        }
        data.put(VIEW_COUNT,count);

        Future<Map<String,Object>> future = new AsyncResult<>(data);
        return future;
    }
}
