package com.yizhi.course.application.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.course.application.domain.OfflineCourse;
import com.yizhi.course.application.eum.DeletedEnum;
import com.yizhi.course.application.mapper.OfflineCourseMapper;
import com.yizhi.course.application.service.ICourseService;
import com.yizhi.course.application.service.IOfflineClassifyService;
import com.yizhi.course.application.service.IOfflineCourseService;
import com.yizhi.course.application.service.impl.OfflineCourseServiceImpl;
import com.yizhi.course.application.vo.OfflineCourseVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class OfflineCourseControllerTest {

    @Autowired
    private IOfflineCourseService iofflineCourseService;

    @Autowired
    private OfflineCourseServiceImpl offlineCourseService;

    @Autowired
    private IdGenerator idGenerator;

    @Autowired
    private OfflineCourseMapper offlineCourseMapper;
    @Autowired
    private IOfflineClassifyService offlineClassifyService;

    @Autowired
    private OfflineCourseController offlineCourseController;

    @Autowired
    private ICourseService courseService;


    @Test
    public void delete() {
        OfflineCourseVo offlineCourseVo = new OfflineCourseVo();
        OfflineCourse offlineCourse = new OfflineCourse();
        offlineCourseVo.setId(offlineCourse.getId());
        System.out.println(offlineCourse.getId());
        offlineCourseController.update(offlineCourseVo);
    }

    @Test
    public void save()  {

        OfflineCourseVo offlineCourse = new OfflineCourseVo();
        offlineCourse.setId(idGenerator.generate());
        offlineCourse.setName("lilong");
        offlineCourse.setCode("123456");
        offlineCourse.setImage("ghjkl456");
        offlineCourse.setOfflineClassifyId(123546L);
        offlineCourse.setStatus(0);

        offlineCourse.setDeleted(DeletedEnum.NO.getValue());
        offlineCourse.setAuthorUnit("dfghjkl");
        offlineCourse.setCompanyId(1314L);
        offlineCourse.setSiteId(1314L);
        offlineCourse.setOrgId(1314L);
        offlineCourse.setDescription("fghjkl444");
        offlineCourse.setTags("yizhi");
        offlineCourse.setOssUrl("4444444");


        OfflineCourseVo result = iofflineCourseService.save(offlineCourse);
        System.out.println(result);


    }



    @Test
    public void verifyCourseCode() {

        Boolean aBoolean = iofflineCourseService.verifyCourseCode(11619895931885977L, "229222111110001", 13194L);
        System.out.println(aBoolean);
    }

    @Test
    public void update() {
        OfflineCourseVo offlineCourse = new OfflineCourseVo();
        offlineCourse.setId(1016198959318859776L);
        offlineCourse.setName("fushenglan");
        offlineCourse.setCode("2222211111000");

        offlineCourse.setDeleted(DeletedEnum.NO.getValue());
        iofflineCourseService.update(offlineCourse);
    }

    @Test
    public void list() {
        List<Long> orgIds=new ArrayList<Long>();
        orgIds.add(1314l);


        Page<OfflineCourse> page = iofflineCourseService.searchPage("lilong", 1054713308070060032L, 1, 1314L, 1314L, orgIds, 1, 10);
        System.out.println(page);
    }

    @Test
    public void getCourseList() {

        courseService.isCourseFinished(1063317730851930112L, 1028831653763964928L, true);
    }

    @Test
    public void up() {
    }


}